<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans

http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">

	<bean id="elAddress" class="com.spEL.base.Address">
		<property name="doorNo" value="No. 10/7" />
		<property name="street" value="North Park Street" />
		<property name="area" value="Ambattur" />
	</bean>

	<bean id="elCandidate" class="com.spEL.base.Candidate">
		<property name="name" value="Sandy" />
		<property name="age" value="22" />
		<property name="addrs" value="#{elAddress}" />
		<property name="area" value="#{elAddress.area}" />
	</bean>

</beans>
<!-- ==============NOTE============== -->
<!--
		Note here, the value for the bean elAddress is provided using a simple setter injection.
But for the bean elCandidate , the value for addrs and area property is provided using spEL
expression. The general syntax for a spEL expression is
 
	#{spEL Expression}
 
		In the above example, the value for addrs is provided as #{elAddress}. This means
that addrs is assigned the value set for the bean elAddress. Similarly, for area property,
the value is assigned to #{elAddress.area}, thereby injecting the value of
the 'area' property from 'elAddress' to the area property inside elCandidate.
-->